---
title: HTMLImageElement.lowsrc
slug: Web/API/HTMLImageElement/lowSrc
tags:
  - API
  - HTML
  - HTML DOM
  - HTMLImageElement
  - Image
  - Obsolete
  - Performance
  - Property
  - Quality
  - Reference
  - img
  - lowSrc
  - speed
---
<p>{{APIRef("HTML DOM")}}{{obsolete_header}}{{non-standard_header}}</p>

<p><span class="seoSummary">The {{domxref("HTMLImageElement")}} interface's <em>obsolete</em> <code><strong>lowsrc</strong></code> property can be used to specify the URL of a reduced-quality or otherwise faster-loading version of the image specified by the {{domxref("HTMLImageElement.src", "src")}} property.</span></p>

<p>This property reflects the {{Glossary("HTML")}} {{htmlattrxref("lowsrc", "img")}} attribute.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>htmlImageElement</em>.lowsrc = <em>imageUrl</em>;
<em>imageUrl</em> = <em>htmlImageElement</em>.lowsrc;
</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} specifying the URL of a version of the image specified by <code>src</code> which has been modified in some fashion so that it loads significantly more quickly than the primary image.</p>

<p>There are a number of ways to achieve this; primary among them:</p>

<ul>
 <li>Higher compression levels (for example, a primary image saved as a JPEG using 85% quality might have a <code>lowsrc</code> version saved at 15%.</li>
 <li>Reduced color depth; a primary image in 32-bit color might have an alternate image in 8-bit color.</li>
</ul>

<div class="notecard warning">
<p><strong>Important:</strong> The <code>lowsrc</code> property is obsolete and should not be used. Instead, you should use an image format which loads progressively (such as progressive JPEG). Or make sure your images are all well-optimized and balanced for appearance versus size.</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<p><code>lowsrc</code> is a strange case. It was never technically part of the HTML specification (it was a Mozilla extension to HTML); however, HTML 5 does list it among the obsolete attributes.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLImageElement.lowSrc")}}</p>
